Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState
              edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
                  edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
                      edu.stanford.smi.protegex.widget.scatterbox.ScatterboxWidgetState

All Implemented Interfaces:
  Constants

    public class ScatterboxWidgetState

extends AbstractTableWidgetState
implements Constants

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
`_dialogTitleForSelectingClasses, _dialogTitleForSelectingInstances, _editInPlace, _useDialogToSelectClasses, _useDialogToSelectInstances, DEFAULT_DIALOG_TITLE_FOR_SELECTING_CLASSES, DEFAULT_DIALOG_TITLE_FOR_SELECTING_INSTANCES, DIALOG_TITLE_FOR_SELECTING_CLASSES, DIALOG_TITLE_FOR_SELECTING_INSTANCES, IN_PLACE_EDITING, USE_DIALOG_TO_SELECT_CLASSES, USE_DIALOG_TO_SELECT_INSTANCES`

Fields inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`_addInstanceButtonTooltip, _addInstanceDialogTitle, _createInstanceButtonTooltip, _createInstanceDialogTitle, _deleteInstanceButtonTooltip, _displayAddInstanceButton, _displayCreateInstanceButton, _displayDeleteInstanceButton, _displayMoveInstanceButtons, _displayPrototypeButton, _displayRemoveInstanceButton, _displayViewInstanceButton, _moveInstanceButtonsTooltip, _prototypeButtonTooltip, _prototypeDepth, _removeInstanceButtonTooltip, _viewInstanceButtonTooltip, ADD_INSTANCE_BUTTON_TOOLTIP, ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT, ADD_INSTANCE_DIALOG_TITLE, ADD_INSTANCE_DIALOG_TITLE_DEFAULT, CREATE_INSTANCE_BUTTON_TOOLTIP, CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, CREATE_INSTANCE_DIALOG_TITLE, CREATE_INSTANCE_DIALOG_TITLE_DEFAULT, DELETE_INSTANCE_BUTTON_TOOLTIP, DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, DISPLAY_ADD_INSTANCE_BUTTON, DISPLAY_CREATE_INSTANCE_BUTTON, DISPLAY_DELETE_INSTANCE_BUTTON, DISPLAY_MOVE_INSTANCE_BUTTONS, DISPLAY_PROTOTYPE_BUTTON, DISPLAY_REMOVE_INSTANCE_BUTTON, DISPLAY_VIEW_INSTANCE_BUTTON, MOVE_INSTANCE_BUTTONS_TOOLTIP, MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT, PROTOTYPE_BUTTON_TOOLTIP, PROTOTYPE_BUTTON_TOOLTIP_DEFAULT, PROTOTYPE_DEPTH, REMOVE_INSTANCE_BUTTON_TOOLTIP, REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, VIEW_INSTANCE_BUTTON_TOOLTIP, VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT`

Fields inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`_properties`

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`ScatterboxWidgetState(ScatterboxWidget widget, PropertyList properties)`

Method Summary
`void` | `dispose()`
`String` | `getHierarchicalPolicyWhenClassesAreDomainIndices()`
`String` | `getHorizontalAxisLabel()`
`Slot` | `getHorizontalSlot()`
`String` | `getPolicyWhenInstancesAreDomainIndices()`
`String` | `getVerticalAxisLabel()`
`Slot` | `getVerticalSlot()`
`ScatterboxWidget` | `getWidget()`
`boolean` | `isAutocreateWhenEditing()`
`boolean` | `isAutomaticallyDisplayFormsForCreatedInstances()`
`boolean` | `isIncludeAbstractClassesInTermList()`
`static void` | `main(String[] args)`
`void` | `restore()`
`void` | `save()`
`void` | `setAutocreateWhenEditing(boolean autocreateWhenEditing)`
`void` | `setAutocreateWhenEditing(Boolean autocreateWhenEditing)`
`void` | `setAutomaticallyDisplayFormsForCreatedInstances(boolean automaticallyDisplayFormsForCreatedInstances)`
`void` | `setAutomaticallyDisplayFormsForCreatedInstances(Boolean automaticallyDisplayFormsForCreatedInstances)`
`void` | `setHierarchicalPolicyWhenClassesAreDomainIndices(String hierarchicalPolicyWhenClassesAreDomainIndices)`
`void` | `setHorizontalAxisLabel(String horizontalAxisLabel)`
`void` | `setHorizontalSlot(Slot horizontalSlot)`
`void` | `setIncludeAbstractClassesInTermList(boolean includeAbstractClassesInTermList)`
`void` | `setPolicyWhenInstancesAreDomainIndices(String policyWhenInstancesAreDomainIndices)`
`void` | `setVerticalAxisLabel(String verticalAxisLabel)`
`void` | `setVerticalSlot(Slot verticalSlot)`

Methods inherited from class edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState
`getDialogTitleForSelectingClasses, getDialogTitleForSelectingInstances, isEditInPlace, isUseDialogToSelectClasses, isUseDialogToSelectInstances, setDialogTitleForSelectingClasses, setDialogTitleForSelectingInstances, setDisplayAddInstanceButton, setDisplayAddInstanceButton, setDisplayCreateInstanceButton, setDisplayCreateInstanceButton, setDisplayRemoveInstanceButton, setDisplayRemoveInstanceButton, setDisplayViewInstanceButton, setDisplayViewInstanceButton, setEditInPlace, setEditInPlace, setUseDialogToSelectClasses, setUseDialogToSelectClasses, setUseDialogToSelectInstances, setUseDialogToSelectInstances`

Methods inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`getAddInstanceButtonTooltip, getAddInstanceDialogTitle, getCreateInstanceButtonTooltip, getCreateInstanceDialogTitle, getDeleteInstanceButtonTooltip, getMoveInstanceDownTooltip, getMoveInstanceTooltip, getMoveInstanceUpTooltip, getPrototypeButtonTooltip, getPrototypeDepth, getRemoveInstanceButtonTooltip, getViewInstanceButtonTooltip, isDisplayAddInstanceButton, isDisplayCreateInstanceButton, isDisplayDeleteInstanceButton, isDisplayMoveInstanceButtons, isDisplayPrototypeButton, isDisplayRemoveInstanceButton, isDisplayViewInstanceButton, setAddInstanceButtonTooltip, setAddInstanceDialogTitle, setCreateInstanceButtonTooltip, setCreateInstanceDialogTitle, setDeleteInstanceButtonTooltip, setDisplayDeleteInstanceButton, setDisplayDeleteInstanceButton, setDisplayMoveInstanceButtons, setDisplayPrototypeButton, setDisplayPrototypeButton, setMoveInstanceButtonsTooltip, setPrototypeButtonTooltip, setPrototypeDepth, setPrototypeDepth, setRemoveInstanceButtonTooltip, setViewInstanceButtonTooltip`

Methods inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`broadcast, isCustomized, readBoolean, readInt, readString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterboxWidgetState

    public ScatterboxWidgetState(ScatterboxWidget widget,
                                 PropertyList properties)

Method Detail

### main

    public static void main(String[] args)

### dispose

    public void dispose()

  Specified by:
    `dispose` in class `AbstractTableWidgetState`

### getHierarchicalPolicyWhenClassesAreDomainIndices

    public String getHierarchicalPolicyWhenClassesAreDomainIndices()

### getHorizontalAxisLabel

    public String getHorizontalAxisLabel()

### getHorizontalSlot

    public Slot getHorizontalSlot()

### getPolicyWhenInstancesAreDomainIndices

    public String getPolicyWhenInstancesAreDomainIndices()

### getVerticalAxisLabel

    public String getVerticalAxisLabel()

### getVerticalSlot

    public Slot getVerticalSlot()

### getWidget

    public ScatterboxWidget getWidget()

### isAutocreateWhenEditing

    public boolean isAutocreateWhenEditing()

### isAutomaticallyDisplayFormsForCreatedInstances

    public boolean isAutomaticallyDisplayFormsForCreatedInstances()

### isIncludeAbstractClassesInTermList

    public boolean isIncludeAbstractClassesInTermList()

### restore

    public void restore()

  Overrides:
    `restore` in class `AbstractTableWidgetState`

### save

    public void save()

  Overrides:
    `save` in class `AbstractTableWidgetState`

### setAutocreateWhenEditing

    public void setAutocreateWhenEditing(Boolean autocreateWhenEditing)

### setAutocreateWhenEditing

    public void setAutocreateWhenEditing(boolean autocreateWhenEditing)

### setAutomaticallyDisplayFormsForCreatedInstances

    public void setAutomaticallyDisplayFormsForCreatedInstances(Boolean automaticallyDisplayFormsForCreatedInstances)

### setAutomaticallyDisplayFormsForCreatedInstances

    public void setAutomaticallyDisplayFormsForCreatedInstances(boolean automaticallyDisplayFormsForCreatedInstances)

### setHierarchicalPolicyWhenClassesAreDomainIndices

    public void setHierarchicalPolicyWhenClassesAreDomainIndices(String hierarchicalPolicyWhenClassesAreDomainIndices)

### setHorizontalAxisLabel

    public void setHorizontalAxisLabel(String horizontalAxisLabel)

### setHorizontalSlot

    public void setHorizontalSlot(Slot horizontalSlot)

### setIncludeAbstractClassesInTermList

    public void setIncludeAbstractClassesInTermList(boolean includeAbstractClassesInTermList)

### setPolicyWhenInstancesAreDomainIndices

    public void setPolicyWhenInstancesAreDomainIndices(String policyWhenInstancesAreDomainIndices)

### setVerticalAxisLabel

    public void setVerticalAxisLabel(String verticalAxisLabel)

### setVerticalSlot

    public void setVerticalSlot(Slot verticalSlot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request